import type { _NSImage } from "./NSImage.js";
import type { _NSImageView } from "./NSImageView.js";
import type { _NSScrubberItemView } from "./NSScrubberItemView.js";
import type { NSImageAlignment } from "./NSImageAlignment.js";
export declare class _NSScrubberImageItemView extends _NSScrubberItemView {
    static alloc(): _NSScrubberImageItemView;
    static new(): _NSScrubberImageItemView;
    init(): _NSScrubberImageItemView;
    imageView(): _NSImageView;
    image(): _NSImage;
    setImage$(value: _NSImage): void;
    imageAlignment(): NSImageAlignment;
    setImageAlignment$(value: NSImageAlignment): void;
}
